We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 22102

7.1 System Generator for DSP - Can I install on MATLAB R14 Service Pack 3?


When I try to install System Generator for DSP 7.1 using MATLAB R14 Service Pack 3, the following error occurs:

"System Generator cannot currently be installed.

This version of System Generator must be installed in to MATLAB R14 or R14.1"

Why is this occurring?


The installation does not succeed because System Generator for DSP 7.1 is not supported on MATLAB R14 SP3.

The versions of MATLAB that are compatible with System Generator for DSP 7.1 are the following:


- MATLAB R14.1

- MATLAB R14.2

For more information, see the System Generator for DSP Compatibility Answer Record (Xilinx Answer 17966).

MATLAB R14.3 is supported in the 8.1 Release of System Generator for DSP, released in January 2006.

AR# 22102
Date Created 09/04/2007
Last Updated 12/15/2012
Status Active
Type General Article